DateTimeZone::getOffset
DateTimeZone::listAbbreviations
DateTimeZone
PHP Manual

# DateTimeZone::getTransitions

(PHP 5 >= 5.2.0)

DateTimeZone::getTransitions — Returns all transitions for the timezone

### Description

Object oriented style

public array DateTimeZone::getTransitions ([ int `$timestamp_begin` [, int `$timestamp_end` ]] )

Procedural style

array timezone_transitions_get ( DateTimeZone `$object` [, int `$timestamp_begin` [, int `$timestamp_end` ]] )

### Parameters

`object`

  Procedural style only: A DateTimeZone object returned by timezone_open()

`timestamp_begin`

  Begin timestamp.

`timestamp_end`

  End timestamp.

### Return Values

Returns numerically indexed array containing associative array with all transitions on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | The optional `timestamp_begin` and `timestamp_end` were added.

### Examples

Example #1 A timezone_transitions_get() example

`<?php
$timezone = new DateTimeZone("Europe/London");
$transitions = $timezone->getTransitions();
print_r(array_slice($transitions, 0, 3));
?>`

The above example will output something similar to:

    Array
    (
        [0] => Array
            (
                [ts] => -9223372036854775808
                [time] => -292277022657-01-27T08:29:52+0000
                [offset] => 3600
                [isdst] => 1
                [abbr] => BST
            )

        [1] => Array
            (
                [ts] => -1691964000
                [time] => 1916-05-21T02:00:00+0000
                [offset] => 3600
                [isdst] => 1
                [abbr] => BST
            )

        [2] => Array
            (
                [ts] => -1680472800
                [time] => 1916-10-01T02:00:00+0000
                [offset] => 0
                [isdst] =>
                [abbr] => GMT
            )

    )

DateTimeZone::getOffset
DateTimeZone::listAbbreviations
DateTimeZone
PHP Manual